Subject: [Pce] About the presentation of draft-zhang-pce-comm-app-model-01.txt

From: Zhang Renhai <[email-masked]>
Date: Wed, 03 Aug 2005 21:27:47 +0800

Hi, all
 
 Sorry for not all clear about some questions asked to me at the meeting.
I really appreciate that someone can repeat the question and we can discuss
more here.

 Actually, what I proposed surely is just applied to some kind of
circumstances. For example, if three
PCEs are serving all requests in a domain, and these PCEs are coupled closely,
for instance, they may be located in different box but in the same tank or room,
or located in different place remote to each other and connected by a high speed
line, so based on my proposal, even only one request is sent to one of these PCE, and the PCE
can forward the request to other two PCEs quickly to make the two PCEs maintain
the request table,and this delation of transmittion may be ignoed  by some tradeoff.
The essential goal of the draft is just to use the table to solve some known question.
 I don't know how the communication for the detailed discovery will be because
the detailed capability is still not specified now, how complicated
a detailed capability could be for a special request? Can a tradeoff be 
made between below two choice for some special application:
 
  -saving the detailed discovery communication, correspondingly sending 
   the same request to all PCEs(or just one of these PCEs like what I mentioned above)
  -performing the detailed discovery communication for each PCC?

  Certainly,this proposal is not intent to became part of the PCE communication protocol.

 Another concern of this draft is to make the requests distributed to different PCE
more *reasonable*, for example, three PCEs in a domain, PCE1, PCE2, PCE3, and now PCE3
is congested with too much requests or other reason, for the PCC originating the request,
which PCE else should it choose? PCE1 or PCE2? what information should be used to help 
to select again more reasonable? Based on the Global Computing Table, the congesting PCE(PCE3) 
will know the number of requests that other PCE is now dealing with, although PCE1 and
PCE2 both are not congested now, based on the mentioned information, PCE3 can select other
PCE with least number of requests and appropriate capability to make sure the PCC can get
the computation result asap, and I think the time from sending request to receiving
the computing result may be a important consideration for some application.

Cheers,
Zhang

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce